Package weka.gui.beans

# Class VisualizableErrorEvent

java.lang.Object
java.util.EventObject
weka.gui.beans.VisualizableErrorEvent

All Implemented Interfaces:
  `Serializable`

public class VisualizableErrorEvent extends EventObject
Event encapsulating error information for a learning scheme that can be visualized in the DataVisualizer

Version:
  $Revision: 1.3 $
Author:
  Mark Hall
See Also:
  - `EventObject`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VisualizableErrorEvent(Object source, PlotData2D dataSet)`

## Method Summary

Modifier and Type
Method
Description
`PlotData2D`
`getDataSet()`
Return the instances of the data set

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VisualizableErrorEvent

public VisualizableErrorEvent(Object source, PlotData2D dataSet)

## Method Details

### getDataSet

public PlotData2D getDataSet()
Return the instances of the data set

Returns:
  an `Instances` value